---
stages:
  - lint
  - test
  - generate_release
  - release

variables:
  DOCKER_HOST: "tcp://docker:2375"
  PY_COLORS: 1
  ANSIBLE_FORCE_COLOR: 1

include:
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-commitchecker.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-lintdocs.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-generate-release.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-molecule-sanity.yml
    ref: master
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-flake8.yml
  - project: dreamer-labs/repoman/gitlab-ci-templates
    file: /.gitlab-ci-ansible-lint.yml


.molecule_test_template: &scenario_template
  image: quay.io/ansible/toolset:latest
  stage: test
  services:
    - docker:dind
  before_script:
    - apt update
    - apt install -y docker.io
    - pip install -r test-requirements.txt
    - docker -v
    - python --version
    - ansible --version
    - molecule --version
  only:
    - merge_requests
    - master

test_molecule_default:
  <<: *scenario_template
  script:
    - molecule -c molecule/common/molecule_configs/molecule.yml test -s default

test_molecule_apache:
  <<: *scenario_template
  script:
    - molecule -c molecule/common/molecule_configs/molecule.yml test -s apache

test_molecule_apache_node_failure:
  <<: *scenario_template
  script:
    - molecule -c molecule/common/molecule_configs/molecule.yml test -s apache_node_failure
...
